<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <title>Menu</title>
        <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>

        <script>
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            firebase.initializeApp(firebaseConfig);
            </script>
        <style>
            /* @media screen and (max-width: 420px) { */
                body {
                    margin: 0;
                    display: flex;
                    flex-direction: column;
                }
                #nav-bar {
                    height: 104px;
                    width: 100%;
                    border-bottom-left-radius: 20px;
                    border-bottom-right-radius: 20px;
                    background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
                    position: fixed;
                    z-index: 1;
                }
                #movies {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    overflow-y: auto;
                    margin-top: 104px;
                }
                .fa-chevron-left {
                    font-size: 25px;
                    margin-top: 13.1px;
                    margin-left: 12px;
                }
                #nav-text {
                    position: absolute;
                    height: 30px;
                    width: 30vw;
                    color: #000;
                    font-family: Montserrat;
                    font-size: 25px;
                    font-weight: 700;
                    line-height: 30px;
                    text-align: center;
                    margin-left: 35vw;
                    margin-top: 35px;
                }
                
                .movie {
                    margin: 0;
                    margin-top: 30.76px;
                    background-size: cover;
                    height: 159.24px;
                    width: 298px;
                    border-radius: 10px;
                }
                .background{
                    background-repeat: no-repeat;
                    background-size: cover;  
                }
                #mon_kino-1 {
                    background-image: url(duu_mongol.png);
                    margin-top: 33px;
                    outline: none !important;
                }
                #mon_kino-2 {
                    background-image: url(duu_gadaad.png);
                    outline: none !important;
                }
                #gadaad_kino-1 {
                    background-image: url(video_1.png);
                    outline: none !important;
                }
                #gadaad_kino-2 {
                    background-image: url(video_2.png);
                    outline: none !important;
                }
                .kino_text {
                    margin: 0;
                    height: 26px;
                    width: 100%;
                    color: #FFF;
                    font-family: 'Montserrat', sans-serif;
                    font-size: 22px;
                    font-weight: 700;
                    letter-spacing: 1.69px;
                    line-height: 26px;
                    text-align: center;
                    margin-top: 10px;
                }
                .board {
                    color: white;
                    display: flex;
                    justify-content: space-around;
                }
                .score {
                    margin-top: 23.93px;
                    height: 45.61px;
                    width: 44px;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                }
                
                .quiz {
                    margin-top: 23.93px;
                    height: 44.47px;
                    width: 61px;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                }
                .titles {
                    margin: 0;
                    height: 18px;
                    /* width: 44px; */
                    font-family: 'Montserrat', sans-serif;
                    font-size: 15px;
                    letter-spacing: 1.15px;
                    line-height: 18px;
                    text-align: center;
                }
                .point {
                    height: 24px;
                    /* width: 18px; */
                    font-family: 'Montserrat', sans-serif;
                    font-size: 20px;
                    font-weight: 700;
                    letter-spacing: 1.54px;
                    line-height: 24px;
                    text-align: center;
                }
                .quiz-point {
                    height: 24px;
                    /* width: 18px; */
                    font-family: 'Montserrat', sans-serif;
                    font-size: 20px;
                    font-weight: 700;
                    letter-spacing: 1.54px;
                    line-height: 24px;
                    text-align: center;
                }
                .status-container {
                    padding: 0 16px;
                }
                .status {
                    position: relative;
                    display: flex;
                    margin-top: 17.06px;
                    height: 13.65px;
                    width: 100%;
                    border-radius: 10px;
                    background-color: rgba(255,255,255,0.5);
                    font-family: 'Montserrat', sans-serif;
                    font-size: 5px;
                }
                .status_ {
                    position: absolute;
                    border: 2px;
                    width: 100%;
                    /* color: #000; */
                    font-size: 8px;
                }
                .right-answer {
                    border-radius: 10px;
                    background-color: #FFF;
                    width: 0%;
                    height: 13.64px;
                }
                #icon_hint {
                    height: 28.95px;
                    width: 30px;
                    /* background-color: #000; */
                    transform: rotate(180deg);
                    background-image: url(hint.png);
                    background-repeat: no-repeat;
                    background-size: cover;
                }
                #hint_hint {
                    /* padding-left: 317px;
                    margin-top: 39.1px; */
                    display: flex;
                    flex-direction: row-reverse;
                    justify-content: space-between;
                    padding: 28px;
                }
                #hint-number {
                    height: 25px;
                    width: 25px;
                    background-color: #FFF;
                    border-radius: 50%;
                    position: absolute;
                    z-index: 1;
                    top: -11px;
                    right: -11px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                }
                #tmp-5 {
                    position: relative;
                    margin-top: 10px;
                }
                #hint-number-title {
                    color: #000;
                    font-family: Montserrat;
                    font-size: 15px;
                    font-weight: 700;
                    line-height: 18px;
                    text-align: center;
                }
            /* } */
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text"> Дуу</div>
            <div id="hint_hint">
                <div id="tmp-5">
                    <div id="hint-number">
                        <h1 id="hint-number-title"></h1>
                    </div>
                    <div id="icon_hint">
                    </div>
                </div>
                <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
            </div>
        </div>
        <div id="movies">
            <button class="movie background" onclick="mongol_duu()" id="mon_kino-1">
                <h1 class="kino_text">Монгол дуу</h1>
                <div class="board">
                    <div class="score">
                        <h1 class="titles">оноо</h1>
                        <div class="point">0</div>
                    </div>
                    <div class="quiz">
                        <h1 class="titles">таасан</h1>
                        <div class="quiz-point" id="point2" >0/20</div>
                    </div>
                </div>
                <div class="status-container">
                    <div class="status">
                        <div class="right-answer"></div>
                        <div class="status_">
                            0%
                        </div>
                    </div>
                </div>
            </button>
            <button class="movie background" onclick="gadaad_duu_2()"id="mon_kino-2">
                <h1 class="kino_text">Гадаад дуу</h1>
                <div class="board">
                    <div class="score">
                        <h1 class="titles">оноо</h1>
                        <div class="point">0</div>
                    </div>
                    <div class="quiz">
                        <h1 class="titles">таасан</h1>
                        <div class="quiz-point" id="mon">0/20</div>
                    </div>
                </div>
                <div class="status-container">
                    <div class="status">
                        <div class="right-answer"></div>
                        <div class="status_">0%</div>
                    </div>
            </button>
            <button class="movie background" onclick="video_1()"id="gadaad_kino-1">
                <h1 class="kino_text">Видео I</h1>
                <div class="board">
                    <div class="score">
                        <h1 class="titles">оноо</h1>
                        <div class="point">0</div>
                    </div>
                    <div class="quiz">
                        <h1 class="titles">таасан</h1>
                        <div class="quiz-point">0/20</div>
                    </div>
                </div>
                <div class="status-container">
                    <div class="status">
                        <div class="right-answer"></div>
                        <div class="status_">0%</div>
                    </div>
            </button>
            <button class="movie background" onclick="video_2()"id="gadaad_kino-2">
                <h1 class="kino_text">Видео II</h1>
                <div class="board">
                    <div class="score">
                        <h1 class="titles">оноо</h1>
                        <div class="point">0</div>
                    </div>
                    <div class="quiz">
                        <h1 class="titles">таасан</h1>
                        <div class="quiz-point">0/20</div>
                    </div>
                </div>
                <div class="status-container">
                    <div class="status">
                        <div class="right-answer"></div>
                        <div class="status_">0%</div>
                    </div>
            </button>
            
        </div>
        <script>
            var DB = firebase.database();
            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                document.getElementById('hint-number-title').innerHTML = snapshot.val();
            });
            DB.ref(`/Users/${localStorage.getItem('username')}/duu/mon_duu/hediig_taasan`).once('value', snapshot => {
                document.getElementById('point2').innerHTML = `${snapshot.val()}/20` 
                document.getElementsByClassName("right-answer")[0].style.width = (snapshot.val()/20) * 100 + '%';
                document.getElementsByClassName("status_")[0].innerHTML = parseInt((snapshot.val()/20) * 100) + '%';
            });

            DB.ref(`/Users/${localStorage.getItem('username')}/duu/mon_duu/onoo`).once('value', snapshot =>{
                document.getElementsByClassName('point')[0].innerHTML = snapshot.val();
            });

            DB.ref(`/Users/${localStorage.getItem('username')}/duu/gadaad_duu/hediig_taasan`).once('value', snapshot => {
                document.getElementById('mon').innerHTML = `${snapshot.val()}/20` 
                document.getElementsByClassName("right-answer")[1].style.width = (snapshot.val()/20) * 100 + '%';
                document.getElementsByClassName("status_")[1].innerHTML = parseInt((snapshot.val()/20) * 100) + '%';
            });

            DB.ref(`/Users/${localStorage.getItem('username')}/duu/gadaad_duu/onoo`).once('value', snapshot =>{
                document.getElementsByClassName('point')[1].innerHTML = snapshot.val();
            });

            function mongol_duu() {
                DB.ref(`/Users/${localStorage.getItem('username')}/duu/ali_turul_songoson`).set('mongol_duu').then(() => {
                    window.location.href = 'duu_levels.html';
                });
            }

            function gadaad_duu_2() {
                DB.ref(`/Users/${localStorage.getItem('username')}/duu/ali_turul_songoson`).set('gadaad_duu').then(() => {
                    window.location.href = 'duu_levels_2.html';
                });
            }


            function video_1() {
                window.location.href = 'test.html'
            }

            function video_2() {
                window.location.href = 'test.html'
            }

            function back_icon() {
                window.location.href = 'menu.html';
            }
        </script>
    </body>
</html>